//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	
	using System.IO;    
	using System.Collections.Generic;
	using System.Text;
	using System.Data;
    
    public partial class Screen1
    {			
		private readonly bool USE_SEMICOLON = false;
		private readonly bool USE_TAB = false;
		
		public static List<String[]> rowsList = new List<String[]>();
		public static DataSet dataSource = null;
		
		void ViewFilesBtn_Click(System.Object sender, System.EventArgs e)
		{
			try {
				ListBox1.Items.Clear();
				//read .CSV files from USB
				string srcPath = "\\Hard Disk";				
			
				string[] files = Directory.GetFiles(srcPath, "*.csv");
				foreach (string srcFileName in files) {
					ListBox1.Items.Add(srcFileName);
					//string targetFileName = targetPath + "\\" + Path.GetFileName(srcFileName);
					//File.Copy(srcFileName, targetFileName);
				}				
			}
			catch (Exception ex) {
				MessageBox.Show("Error, " + ex.Message);
			}		
		}
		
		void OpenFileBtn_Click(System.Object sender, System.EventArgs e)
		{
			if (ListBox1.SelectedIndex < 0) {
				MessageBox.Show("No File Selected");
				return;
			}
			try {				
				string fileName = ListBox1.SelectedItem.ToString();
				//open CSV and parse strings
				string data = "";
				using (FileStream fs = File.OpenRead(fileName)) 
				{					
					byte[] inData = new byte[fs.Length];
					fs.Read(inData, 0, inData.Length);
					data = Encoding.ASCII.GetString(inData, 0, inData.Length);
				}
				
				rowsList.Clear();
				char[] lineSeperator = { '\r' };
				if (USE_SEMICOLON)
				{
					lineSeperator[0] = ';';
				}
				char[] wordSepeartor = { ',' };
				if (USE_TAB)
				{
					wordSepeartor[0] = '\x09';
				}
				String[] rows = data.Split(lineSeperator);
				for (int i = 0; i < rows.Length; i++)
				{
					String[] words = rows[i].Trim().Split(wordSepeartor);
					if (words.Length > 0)
					{
						rowsList.Add(words);
					}
				}
				
				//take rowList and populate datagrid1
				dataSource = new DataSet();
				DataTable dataTbl = new DataTable("CSVData"); 
				string[] row = rowsList[0];
				for (int i = 0; i < row.Length; i++) {
					dataTbl.Columns.Add(i.ToString(), System.Type.GetType("System.String"));
				}
				for (int i = 0; i < rowsList.Count; i++) {
					row = rowsList[i];
					dataTbl.Rows.Add(row);
				}

				dataSource.Tables.Add(dataTbl);
				DataGrid1.DataSource = dataTbl;
			}
			catch (Exception ex) {
				MessageBox.Show("Error, " + ex.Message);
			}		
		}
    }
}
